/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2021-05-02
 * Changed:         2024-05-31
 *
 * */

#ifndef LS_STD_LIBRARY_VERSION_HPP
#define LS_STD_LIBRARY_VERSION_HPP

#include "definition.hpp"
#include <string>

namespace ls::std::core
{
  ls_std_class LibraryVersion
  {
    public:

      LibraryVersion();
      ~LibraryVersion();

      [[nodiscard]] static ::std::string getVersion();
  };
}

#endif
