/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-02-07
* Changed:         2024-05-31
*
* */

#ifndef LS_STD_EXCEPTION_MESSAGE_HPP
#define LS_STD_EXCEPTION_MESSAGE_HPP

#include <ls-std/core/definition.hpp>
#include <string>

namespace ls::std::core
{
  ls_std_class ExceptionMessage
  {
    public:

      explicit ExceptionMessage(::std::string _message);
      ~ExceptionMessage();

      [[nodiscard]] char *toCharacterPointer() const;

    private:

      ::std::string message{};
  };
}

#endif
