/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-02-08
* Changed:         2024-05-31
*
* */

#ifndef LS_STD_I_EVALUATOR_HPP
#define LS_STD_I_EVALUATOR_HPP

#include <ls-std/core/definition.hpp>

namespace ls::std::core::interface_type
{
  ls_std_class IEvaluator
  {
    public:

      IEvaluator();
      virtual ~IEvaluator();

      virtual void evaluate() = 0;
  };
}

#endif
