/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-02-08
* Changed:         2024-05-31
*
* */

#ifndef LS_STD_I_VALIDATOR_HPP
#define LS_STD_I_VALIDATOR_HPP

#include <ls-std/core/definition.hpp>

namespace ls::std::core::interface_type
{
  ls_std_class IValidator //TODO: change to isTrue() and isFalse()
  {
    public:

      IValidator();
      virtual ~IValidator();

      virtual bool isValid() = 0;
  };
}

#endif
